org.fife.ui.rsyntaxtextarea

## Class Style

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.Style

All Implemented Interfaces:
  Cloneable

    public class Style
    extends Object
    implements Cloneable

The color and style information for a token type. Each token type in an `RSyntaxTextArea` has a corresponding `Style`; this `Style` tells us the following things:

- What foreground color to use for tokens of this type.
- What background color to use.
- The font to use.
- Whether the token should be underlined.

Version:
  0.6
Author:
  Robert Futrell

### Field Summary

Fields
`Color` `background`
`static Color` `DEFAULT_BACKGROUND`
`static Font` `DEFAULT_FONT`
`static Color` `DEFAULT_FOREGROUND`
`Font` `font`
`Color` `foreground`
`boolean` `underline`

### Constructor Summary

Constructors
Constructor and Description
`Style()` Creates a new style defaulting to black foreground, no background, and no styling.
`Style(Color fg)` Creates a new style with the specified foreground and no styling.
`Style(Color fg, Color bg)` Creates a new style with the specified colors and no styling.
`Style(Color fg, Color bg, Font font)` Creates a new style.
`Style(Color fg, Color bg, Font font, boolean underline)` Creates a new style.

### Method Summary

Methods
`Object` `clone()` Returns a deep copy of this object.
`boolean` `equals(Object o2)` Returns whether or not two syntax schemes are equal.
`int` `hashCode()` Computes the hash code to use when adding this syntax scheme to hash tables.
`String` `toString()` Returns a string representation of this style.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_FOREGROUND

    public static final Color DEFAULT_FOREGROUND

#### DEFAULT_BACKGROUND

    public static final Color DEFAULT_BACKGROUND

#### DEFAULT_FONT

    public static final Font DEFAULT_FONT

#### foreground

    public Color foreground

#### background

    public Color background

#### underline

    public boolean underline

#### font

    public Font font

### Constructor Detail

#### Style

    public Style()

Creates a new style defaulting to black foreground, no background, and no styling.

#### Style

    public Style(Color fg)

Creates a new style with the specified foreground and no styling.

Parameters:
  `fg` - The foreground color to use.

#### Style

    public Style(Color fg,
         Color bg)

Creates a new style with the specified colors and no styling.

Parameters:
  `fg` - The foreground color to use.
  `bg` - The background color to use.

#### Style

    public Style(Color fg,
         Color bg,
         Font font)

Creates a new style.

Parameters:
  `fg` - The foreground color to use.
  `bg` - The background color to use.
  `font` - The font for this syntax scheme.

#### Style

    public Style(Color fg,
         Color bg,
         Font font,
         boolean underline)

Creates a new style.

Parameters:
  `fg` - The foreground color to use.
  `bg` - The background color to use.
  `font` - The font for this syntax scheme.
  `underline` - Whether or not to underline tokens with this style.

### Method Detail

#### clone

    public Object clone()

Returns a deep copy of this object.

Overrides:
  `clone` in class `Object`
Returns:
  The copy.

#### equals

    public boolean equals(Object o2)

Returns whether or not two syntax schemes are equal.

Overrides:
  `equals` in class `Object`
Parameters:
  `o2` - The object with which to compare this syntax scheme.
Returns:
  Whether or not these two syntax schemes represent the same scheme.

#### hashCode

    public int hashCode()

Computes the hash code to use when adding this syntax scheme to hash tables.

This method is implemented, since `equals(Object)` is implemented, to keep FindBugs happy.

Overrides:
  `hashCode` in class `Object`
Returns:
  The hash code.

#### toString

    public String toString()

Returns a string representation of this style.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this style.